<?php
	$hoy = date("Y-m-d H:i:s");
	$id = $_GET["id"];
	
	//PARA EDITR LOS DATOS PRINCIPALES
	if($_POST["nombre"] != "" && $_POST["bateria"] != ""){
		
		if( $_SESSION['role_empleado_seleccion'] == 1 ){ 
			mysqli_query($connect,"UPDATE Procesos SET id_bateria =  '".$_POST["bateria"]."', id_seleccionador = '".$_POST["seleccionador"]."', id_cliente = '".$_POST["cliente"]."', 
			nombre = '".$_POST["nombre"]."', inicia = '".$_POST["inicia"]."', termina = '".$_POST["termina"]."' WHERE id = '".$id."' ");
		}
		else{
			mysqli_query($connect,"UPDATE Procesos SET id_bateria =  '".$_POST["bateria"]."', id_cargo = '".$_POST["cargo"]."', id_cliente = '".$_POST["cliente"]."',   
			nombre = '".$_POST["nombre"]."', inicia = '".$_POST["inicia"]."', termina = '".$_POST["termina"]."' WHERE id = '".$id."' ");
		}

		echo '<script> window.location.href = "?pg=detalle_proceso&id='.$id.'";</script>';			
	}
	
	//PARA ENVIAR LAS INVITACIONES
	if($_POST["id_proceso"] != "" && $_POST["candidatos"] != ""){
		foreach ($_POST["candidatos"] as &$candidat) {
			
			$queryInv = mysqli_query($connect,"SELECT * FROM Invitaciones WHERE id_proceso = '".$_POST["id_proceso"]."' AND id_candidato =  '".$candidat."' ");
			if($queryInv->num_rows == 0){			
				
				mysqli_query($connect,"INSERT INTO Invitaciones (id_empresa, id_proceso, id_bateria, id_candidato, estado, created_at )
				VALUES
				('".$_SESSION['id_empresa']."', '".$_POST["id_proceso"]."', '".$_POST["id_bateria"]."', '".$candidat."', '1', '".$hoy."' )  ");
				
				//CONSULTAMOS AL CANDIDATO
				$queryCan = mysqli_query($connect,"SELECT * FROM Candidatos WHERE id = '".$candidat."' ");
				$dataCan = mysqli_fetch_array($queryCan);
				
				//CONSULTAMOS A LA EMPRESA
				$queryEmp = mysqli_query($connect,"SELECT * FROM Empresas WHERE id = '".$_SESSION['id_empresa']."' ");
				$dataEmp = mysqli_fetch_array($queryEmp);
				
				$id_empresa = $_SESSION['id_empresa'];
				$empresa = $dataEmp["nombre"];
				$logo = $dataEmp["logo"]; 
				$correo = $dataCan["correo"]; 
				$nombre = $dataCan["nombre"].' '.$dataCan["apellidos"]; 
				include("../mail/invitacion_evaluacion.php");
			}
		}
		echo '<script> window.location.href = "?pg=detalle_proceso&id='.$id.'";</script>';	
	}
	
	
	//PARA REENVIAR INVITACION
	if($_POST["id_invitacion"] != "" && $_POST["id_candidato"] != ""){
		$queryCan = mysqli_query($connect,"SELECT * FROM Candidatos WHERE id = '".$_POST["id_candidato"]."' ");
		$dataCan = mysqli_fetch_array($queryCan);
				
		//CONSULTAMOS A LA EMPRESA
		$queryEmp = mysqli_query($connect,"SELECT * FROM Empresas WHERE id = '".$_SESSION['id_empresa']."' ");
		$dataEmp = mysqli_fetch_array($queryEmp);
				
		$id_empresa = $_SESSION['id_empresa'];
		$empresa = $dataEmp["nombre"];
		$logo = $dataEmp["logo"]; 
		$correo = $dataCan["correo"]; 
		$nombre = $dataCan["nombre"].' '.$dataCan["apellidos"]; 
		include("../mail/invitacion_evaluacion.php");
		
		echo '<script> window.location.href = "?pg=detalle_proceso&id='.$id.'";</script>';	
		
	}
	
	
	//PARA GUARDAR LA BATERIA PERSONALIZADA
	//CONSULTA PARA NUEVO CLIENTE
	//CONSULTA PARA NUEVO CLIENTE
	if( $_POST["activar_bateria_personalizada"] != "" && $_POST["id_nivel"] != ""){
		
		$permitir = true;
		if( $_POST["id_nivel"] >= 1 && $_POST["competencia"] == "" ){	
			$permitir = false;
		}
		
		if($permitir == true){

			//else{
			$competencias = 1;
			$gestion = 0;
			$comercial = 0;
			$tactico = 0;
			
			$negociacion = 0;
			$motivacional = 0;
			
			if($_POST["comportamentales"] == 1){ $gestion = 1; }
			if($_POST["comportamentales"] == 2){ $comercial = 1; }
			if($_POST["comportamentales"] == 3){ $tactico = 1; }
			
			if($_POST["negocia_motiva"] == 1){ $negociacion = 1; }
			if($_POST["negocia_motiva"] == 2){ $motivacional = 1; }
			
			if($_POST["id_nivel"] == 0){ $competencias = 0; }
			
			$almenos_1 = $competencias+$gestion+$comercial+$tactico+$negociacion+$motivacional;
			
			if($almenos_1 > 0){
			
				mysqli_query($connect,"INSERT INTO Baterias (nombre, ids_competencias, nivel_competencias, competencias, gestion, comercial, tacticos, negociacion, motivacional, estado, tipo, created_at ) 
				VALUES 
				('".$_POST["nombre_bat"]."', '".json_encode($_POST["competencia"])."', '".$_POST["id_nivel"]."', '".$competencias."', '".$gestion."', '".$comercial."', '".$tactico."', '".$negociacion."',  
				'".$motivacional."', '1', '2', '".$hoy."' ) ");
				
				$id_tmp = mysqli_insert_id($connect);
					
				mysqli_query($connect,"UPDATE Procesos SET id_bateria =  '".$id_tmp."' WHERE id = '".$id."' ");
				
				$respuesta = '
					<div class="alert alert-success" role="alert" style="margin-top:8px">
						Información Guardada.
					</div>
				';
			}else{
				$respuesta = '
				<div class="alert alert-danger" role="alert" style="margin-top:8px">
					Debes seleccionar al menos 1 prueba
				</div>
			';
			}
		}
		else{
			$respuesta = '
				<div class="alert alert-danger" role="alert" style="margin-top:8px">
					Si seleccionas un nivel debes seleccionar al menos 1 competencia
				</div>
			';
		}
			
			
		//}
		
		
	}
	
	//GUARDAR PERFIL COMPETENCIAS
	if($_POST["id_competencias"] != "" && $_POST["competencias"] != ""){
		$pref_competencias = array();

		$i = 0;
		foreach ($_POST["id_competencias"] as &$id_com) {
			array_push($pref_competencias, array($id_com,$_POST["competencias"][$i]) );
			$i++;
		}
		mysqli_query($connect,"UPDATE Procesos SET pref_competencias =  '".json_encode($pref_competencias)."' WHERE id = '".$id."' ");
	}
	
	//GUARDAR PERFIL COMPORTAMENTAL
	if($_POST["comportamental_1"] != "" && $_POST["comportamental_2"] != ""){
		$pref_comportamental = array(
			array( 1,$_POST["comportamental_1"] ),
			array( 2,$_POST["comportamental_2"] ),
			array( 3,$_POST["comportamental_3"] ),
			array( 4,$_POST["comportamental_4"] ),
		);
		
		if($_POST["tipo_comportamental"] == 1){ mysqli_query($connect,"UPDATE Procesos SET pref_gestion =  '".json_encode($pref_comportamental)."' WHERE id = '".$id."' "); }
		if($_POST["tipo_comportamental"] == 2){ mysqli_query($connect,"UPDATE Procesos SET pref_comercial =  '".json_encode($pref_comportamental)."' WHERE id = '".$id."' "); }
		if($_POST["tipo_comportamental"] == 3){ mysqli_query($connect,"UPDATE Procesos SET  pref_tacticos =  '".json_encode($pref_comportamental)."' WHERE id = '".$id."' "); }
		if($_POST["tipo_comportamental"] == 4){ mysqli_query($connect,"UPDATE Procesos SET  pref_servicios =  '".json_encode($pref_comportamental)."' WHERE id = '".$id."' "); }
		if($_POST["tipo_comportamental"] == 5){ mysqli_query($connect,"UPDATE Procesos SET  pref_confiabilidad =  '".json_encode($pref_comportamental)."' WHERE id = '".$id."' "); }
	}
	
	//GUARDAR PERFIL NEGOCIACION
	if($_POST["negociacion_1"] != "" && $_POST["negociacion_2"] != "" && $_POST["negociacion_3"] != ""){
		$pref_neg = array(
			array( 1,$_POST["negociacion_1"] ),
			array( 2,$_POST["negociacion_2"] ),
			array( 3,$_POST["negociacion_3"] ),
		);
		
		mysqli_query($connect,"UPDATE Procesos SET pref_negociacion =  '".json_encode($pref_neg)."' WHERE id = '".$id."' "); 
	}
	
	//GUARDAR PERFIL MOTIVACIONAL
	if($_POST["motivacional_1"] != "" && $_POST["motivacional_2"] != "" && $_POST["motivacional_3"] != ""){
		$pref_mot = array(
			array( 1,$_POST["motivacional_1"] ),
			array( 2,$_POST["motivacional_2"] ),
			array( 3,$_POST["motivacional_3"] ),
		);
		
		mysqli_query($connect,"UPDATE Procesos SET pref_motivacional =  '".json_encode($pref_mot)."' WHERE id = '".$id."' "); 
	}
	
	//PARA AGREGAR UN NUEVO CANDIDATO
	if($_POST["id_proceso"] != "" && $_POST["candidatos_lista"] != ""){
		
		$actuales = array();
		if($_POST["candidatos_ids"] != ""){
			$actuales = json_decode($_POST["candidatos_ids"]);
			foreach ($_POST["candidatos_lista"] as &$can) {
				array_push($actuales, $can );
			}
		}
		
		else{
			foreach ($_POST["candidatos_lista"] as &$can) {
				array_push($actuales, $can );
			}
		}
		mysqli_query($connect,"UPDATE Procesos SET Candidatos =  '".json_encode($actuales)."' WHERE id = '".$id."' "); 
	}

	$activar_envio = true;
	//OBTENEMOS LA INFORMCION DEL PROCESO
	$query = mysqli_query($connect,"SELECT * FROM Procesos WHERE id = '".$id."' ");
	$data = mysqli_fetch_array($query);
	
	$pref_gestion = json_decode($data["pref_gestion"]);
	$pref_comercial = json_decode($data["pref_comercial"]);
	$pref_tacticos = json_decode($data["pref_tacticos"]);
	$pref_servicios = json_decode($data["pref_servicios"]);
	$pref_confiabilidad = json_decode($data["pref_confiabilidad"]);
	$pref_negociacion = json_decode($data["pref_negociacion"]);
	$pref_motivacional = json_decode($data["pref_motivacional"]);
	
	 	 
	
	//INFORMACION DE LA BATERIA
	$queryBateria = mysqli_query($connect,"SELECT * FROM Baterias WHERE id = '".$data["id_bateria"]."' ");
	$dataBateria = mysqli_fetch_array($queryBateria);
	

?>
<?php include("views/layouts/ficha_candidatos_lista.php"); ?> 

<?php echo $respuesta; ?>

<div align="left" style="padding: 10px 0px;">
	<table width="100%">
    	<tr>
        	<td><h5 style="margin-top: 8px;"><i class="fas fa-users"></i> Detalle Proceso</h5></td>
            <td align="right">
            </td>
        </tr>
    </table>
</div>

<nav aria-label="breadcrumb">
  <ol class="breadcrumb">
    <li class="breadcrumb-item">Home</li>
    <li class="breadcrumb-item"><a href="?pg=procesos">Procesos</a></li>
    <li class="breadcrumb-item active" aria-current="page">Detalle</li>
  </ol>
</nav>

<!-- DATOS BÁSICOS DE LA BATERÍA -->
<div class="card" align="left" style="margin-bottom: 10px;">
	<div class="card-body">
    
		<form action="" method="post">
			<div class="row">
                        
				<div class="col-md-6">
					<label class="ti_label">Nombre proceso de seleccion</label>
					<input type="text" class="form-control" name="nombre" required value="<?php echo $data["nombre"]; ?>">
				</div>
                
                <?php 
                	if( $_SESSION['role_empleado_seleccion'] == 1 ){
				?>
                <div class="col-md-6">
					<label class="ti_label">Seleccionador</label>
                            <select class="form-control" name="seleccionador" required>
                            	<option value="">Selecciona...</option>
                                <?php
								$querySel = mysqli_query($connect,"SELECT * FROM Empleados WHERE id_empresa = '".$_SESSION['id_empresa']."' ORDER BY nombre ASC ");
								while($dataSel = mysqli_fetch_array($querySel)){
									if($dataSel["id"] == $data["id_seleccionador"] ){
										echo '<option value="'.$dataSel["id"].'" selected="selected">'.$dataSel["nombre"].'</option>';
									}
									else{
										echo '<option value="'.$dataSel["id"].'">'.$dataSel["nombre"].'</option>';
									}
								}
								
								?>
                                
                            </select>
                </div>
                <?php
                	}
                ?>

                        
				<div class="col-md-6">
					<label class="ti_label">Inicia</label>
					<input type="date" class="form-control" name="inicia" required value="<?php echo $data["inicia"]; ?>">
				</div>
                        
				<div class="col-md-6">
					<label class="ti_label">Termina</label>
					<input type="date" class="form-control" name="termina" required value="<?php echo $data["termina"]; ?>">
				</div>
                
                <div class="col-md-6">
					<label class="ti_label">Batería</label>
					<select class="form-control" name="bateria" required>
						<option value="">Selecciona...</option>
						<?php
							$queryBat = mysqli_query($connect,"SELECT * FROM Baterias WHERE estado = 1 AND tipo = 1 ORDER BY nombre ASC ");
							while($dataBat = mysqli_fetch_array($queryBat)){
								if( $dataBat["id"] == $data["id_bateria"] ){
									echo '<option value="'.$dataBat["id"].'" selected="selected">'.$dataBat["nombre"].'</option>';
								}
								else{ echo '<option value="'.$dataBat["id"].'">'.$dataBat["nombre"].'</option>'; }
								
							}
							
							if($data["id_bateria"] >= 11){
								echo '<option value="'.$data["id_bateria"].'" selected="selected">Batería Personalizada</option>';
							}
							else{
								echo '<option value="20" >Batería Personalizada</option>';
							}
								
						?>
					</select>
				</div>
                
                <div class="col-md-6">
					<label class="ti_label">Cliente</label>
					<select class="form-control" name="cliente" required>
						<option value="">Selecciona...</option>
						<?php
							$queryEmpll = mysqli_query($connect,"SELECT * FROM Empleados WHERE role_empleado = 2 ORDER BY nombre ASC ");
							while($dataEmpll = mysqli_fetch_array($queryEmpll)){
								if( $dataEmpll["id"] == $data["id_cliente"] ){
									echo '<option value="'.$dataEmpll["id"].'" selected="selected">'.$dataEmpll["nombre"].'</option>';
								}
								else{ echo '<option value="'.$dataEmpll["id"].'">'.$dataEmpll["nombre"].'</option>'; }
							}
						?>
					</select>
				</div>

				<div class="col-md-12" style="margin-top: 15px; text-align: right;">
					<button type="submit" class="btn btn-success bt_editar">Modificar</button>
				</div>
                        
			</div>
		</form>
               
	</div>
</div>

<!-- LAS BATERIAS PERSONALIZADAS TIENES EL ID 20 -->
<?php if($data["id_bateria"] == 20 ){ ?>

<!-- COMPETENCIAS DE ESTA BATERÍA -->
<form action="" method="POST"> 
<div class="card" align="left" style="margin-bottom: 10px;">
	<div class="card-body">  
    	
        <input type="hidden" value="Batería Personalizada" name="nombre_bat" />
        <input type="hidden" value="true" name="activar_bateria_personalizada" />
        <label class="ti_label">Seleccione las competencias asociadas para el nivel de cargo</label>
		<select class="form-control" name="id_nivel"  required onchange="Competencias_Baterias(this.value)">
			<option value="">Selecciona...</option>
            <option value="0">Sin Competencias</option>
			<?php
				$queryNiv = mysqli_query($connect,"SELECT * FROM Niveles ORDER BY nombre ASC ");
				while($dataNiv = mysqli_fetch_array($queryNiv)){
					echo '<option value="'.$dataNiv["id"].'">'.$dataNiv["nombre"].'</option>';
				}
			?>
		</select>

		<label class="ti_label">Competencias</label>
		<div style=" max-height:500px; overflow:auto" id="competencias_list"></div>
        
        
        <div class="row">
        

                       
                       <div class="col-md-6">
                            <label class="ti_label">Pruebas comportamentales</label>
                            <select class="form-control" name="comportamentales" required >
                            	<option value="">Selecciona...</option>
                                <option value="0">Sin Comportamental...</option>
                                <option value="1">Comportamental Gestión/Táctico</option>
                                <option value="2">Comportamental Comercial</option>
                                <option value="3">Comportamental Soporte/Operativo</option>
                            </select>
                        </div>
                        
                        <div class="col-md-6">
                        	<label class="ti_label">Pruebas motivacional / negociación</label>
                            <select class="form-control" name="negocia_motiva" required >
                            	<option value="">Selecciona...</option>
                                <option value="0">Sin Motivacional / negociación...</option>
                                <option value="1">Estilos de Negociación</option>
                                <option value="2">Interes Motivacionales</option>
                            </select>
                        </div>
                        
        </div>
        
        
        
        <div align="right" style="margin-top: 15px;"><button type="submit" class="btn btn-success">Guardar batería personalizada</button></div>
    </div>
</div>
<?php } ?>

<?php 
	//INCIA LA VALIDACION
	if($dataBateria["competencias"] == 1){ 
		if($data["pref_competencias"] == ""){
			$activar_envio = false;
		}
?>
      
<!-- COMPETENCIAS DE ESTA BATERÍA -->
<form action="" method="POST"> 
<div class="card" align="left" style="margin-bottom: 10px;">
	<div class="card-body">       
        <h5>Defina el perfil ideal de las competencias para el cargo a evaluar</h5>      
                
        <table class="table table-bordered table-sm">
            <thead class="thead-dark">
            <tr>
                <th scope="col">#</th>
                <th scope="col">Nombre</th>
                <th scope="col">Nivel</th>
                <th scope="col">Selección</th>
            </tr>
            </thead>
            
            <tbody>
            <?php
                $count = 1;
                    
                $compBatArray = json_decode($dataBateria["ids_competencias"]);
                foreach ($compBatArray as &$compBat) {
                    
                    $queryCompNombre = mysqli_query($connect,"SELECT * FROM Competencias WHERE id = '".$compBat."' ");
                    $dataCompNombre = mysqli_fetch_array($queryCompNombre);
                    
                   	//ES ESTA LINEA ARMAMO EL DESPLEGABLE CON SU PREFERENCIA
				    $desplegable = '<select class="form-control" name="competencias[]" required>';
                    foreach ($Lista_Perfil_Ideal as &$perfil) {
						
						$sel_id = "";
						//VALIDAMOS SI YA TIENES PREFERENCIAS
						foreach (json_decode($data["pref_competencias"]) as &$valor) {
							if($valor[0] == $compBat){
								if($valor[1] == $perfil[0]){
									$sel_id = $valor[1]; 
								}
							}
						}
						if($sel_id == $perfil[0]){ $desplegable .= '<option value="'.$perfil[0].'" selected="selected">'.$perfil[1].'</option>'; }
						else{ $desplegable .= '<option value="'.$perfil[0].'">'.$perfil[1].'</option>'; }
                    }
                    $desplegable .= '</select>';
                    
                    $tex_nivel = '';
                    foreach ($Lista_Nivel_Competencia as &$nivel) {
                        if( $nivel[0] ==  $dataBateria["nivel_competencias"] )$tex_nivel = $nivel[1];
                    }
                    
                    echo '
                    <tr>
                        <th scope="row">'.$count.'</th>
                        <td>'.$dataCompNombre["nombre"].' </td>
                        <td>'.$tex_nivel.'</td>
                        <td>
							<input type="hidden" name="id_competencias[]" value="'.$dataCompNombre["id"].'" />
							'.$desplegable.'
						</td>
                    </tr>
                    ';
                    
                    $count++;
                }
        
            ?>
            <tr>
                <td colspan="4" align="right" style=" margin-top:10px">
                    <button type="submit" class="btn btn-success bt_editar">Establecer el perfil ideal para competencias</button>
                    
                </td>
            </tr>
            </tbody>
        </table>
	</div>
</div>
</form>
<?php } ?>



<!-- COMPORTAMENTA Y MOTIVACIONAL/NEGOCIACION -->
<div class="card" align="left" style="margin-bottom: 10px;">
	<div class="card-body">
    
    	<div class="row">
            <div class="col-md-12">

				<?php 
				//INCIA LA VALIDACION
				if($dataBateria["gestion"] == 1){ 
					if($data["pref_gestion"] == ""){
						$activar_envio = false;
					}
				?>
                <form action="" method="post">
                <input type="hidden" name="tipo_comportamental" value="1" />
                <h5>Perfil ideal comportamental Gestión/Táctico</h5>    
                <table class="table table-bordered table-sm">
                    <thead class="thead-dark">
                    <tr>
                        <th scope="col">1</th>
                        <th scope="col">2</th>
                        <th scope="col">3</th>
                        <th scope="col">4</th>
                    </tr>
                    </thead>
                    
                    <tbody>
                    <tr>
                        <td width="25%">
                            <select class="form-control c_gestion" name="comportamental_1" required="" onchange="Validar_Repetidos('c_gestion',this)">
                            	<option value="">Selecciona..</option>
								<?php
									foreach ($Estilos_Gestion as &$estilo) {
										if($pref_gestion[0][1] == $estilo[0]){ echo '<option value="'.$estilo[0].'" selected="selected">'.$estilo[1].'</option>'; }
										else{ echo '<option value="'.$estilo[0].'">'.$estilo[1].'</option>'; }
									}
								?>
                            </select>
                        </td>
                        <td width="25%">
                            <select class="form-control c_gestion" name="comportamental_2" required="" onchange="Validar_Repetidos('c_gestion',this)">
                                <option value="">Selecciona..</option>
                                <?php
									foreach ($Estilos_Gestion as &$estilo) {
										if($pref_gestion[1][1] == $estilo[0]){ echo '<option value="'.$estilo[0].'" selected="selected">'.$estilo[1].'</option>'; }
										else{ echo '<option value="'.$estilo[0].'">'.$estilo[1].'</option>'; }
									}
								?>
                            </select>
                        </td>
                        <td width="25%">
                            <select class="form-control c_gestion" name="comportamental_3" required="" onchange="Validar_Repetidos('c_gestion',this)">
                                <option value="">Selecciona..</option>
                                <?php
									foreach ($Estilos_Gestion as &$estilo) {
										if($pref_gestion[2][1] == $estilo[0]){ echo '<option value="'.$estilo[0].'" selected="selected">'.$estilo[1].'</option>'; }
										else{ echo '<option value="'.$estilo[0].'">'.$estilo[1].'</option>'; }
									}
								?>
                            </select>
                        </td>
                        <td>
                            <select class="form-control c_gestion" name="comportamental_4" required="" onchange="Validar_Repetidos('c_gestion',this)">
                                <option value="">Selecciona..</option>
                                <?php
									foreach ($Estilos_Gestion as &$estilo) {
										if($pref_gestion[3][1] == $estilo[0]){ echo '<option value="'.$estilo[0].'" selected="selected">'.$estilo[1].'</option>'; }
										else{ echo '<option value="'.$estilo[0].'">'.$estilo[1].'</option>'; }
									}
								?>
                            </select>
                        </td>
                    </tr>
                    
                    <tr>
                        <td colspan="4" align="right" style=" margin-top:10px">
                            <button type="submit" class="btn btn-success bt_editar">Establecer el perfil ideal comportamental gestión</button>
                        </td>
                    </tr>
                    </tbody>
                </table>
                </form>
                <?php } ?>
				
				<?php 
				if($dataBateria["comercial"] == 1){ 
					if($data["pref_comercial"] == ""){
						$activar_envio = false;
					}
				?>
                <form action="" method="post">
                <input type="hidden" name="tipo_comportamental" value="2" />
                <h5>Perfil ideal comportamental Comercial</h5>    
                <table class="table table-bordered table-sm">
                    <thead class="thead-dark">
                    <tr>
                        <th scope="col">1</th>
                        <th scope="col">2</th>
                        <th scope="col">3</th>
                        <th scope="col">4</th>
                    </tr>
                    </thead>
                    
                    <tbody>
                    <tr>
                        <td width="25%">
                            <select class="form-control c_comercial" name="comportamental_1" required="" onchange="Validar_Repetidos('c_comercial',this)">
                            	<option value="">Selecciona..</option>
								<?php
									foreach ($Estilos_Gestion as &$estilo) {
										if($pref_comercial[0][1] == $estilo[0]){ echo '<option value="'.$estilo[0].'" selected="selected">'.$estilo[1].'</option>'; }
										else{ echo '<option value="'.$estilo[0].'">'.$estilo[1].'</option>'; }
									}
								?>
                            </select>
                        </td>
                        <td width="25%">
                            <select class="form-control c_comercial" name="comportamental_2" required="" onchange="Validar_Repetidos('c_comercial',this)">
                                <option value="">Selecciona..</option>
                                <?php
									foreach ($Estilos_Gestion as &$estilo) {
										if($pref_comercial[1][1] == $estilo[0]){ echo '<option value="'.$estilo[0].'" selected="selected">'.$estilo[1].'</option>'; }
										else{ echo '<option value="'.$estilo[0].'">'.$estilo[1].'</option>'; }
									}
								?>
                            </select>
                        </td>
                        <td width="25%">
                            <select class="form-control c_comercial" name="comportamental_3" required="" onchange="Validar_Repetidos('c_comercial',this)">
                                <option value="">Selecciona..</option>
                                <?php
									foreach ($Estilos_Gestion as &$estilo) {
										if($pref_comercial[2][1] == $estilo[0]){ echo '<option value="'.$estilo[0].'" selected="selected">'.$estilo[1].'</option>'; }
										else{ echo '<option value="'.$estilo[0].'">'.$estilo[1].'</option>'; }
									}
								?>
                            </select>
                        </td>
                        <td>
                            <select class="form-control c_comercial" name="comportamental_4" required="" onchange="Validar_Repetidos('c_comercial',this)">
                                <option value="">Selecciona..</option>
                                <?php
									foreach ($Estilos_Gestion as &$estilo) {
										if($pref_comercial[3][1] == $estilo[0]){ echo '<option value="'.$estilo[0].'" selected="selected">'.$estilo[1].'</option>'; }
										else{ echo '<option value="'.$estilo[0].'">'.$estilo[1].'</option>'; }
									}
								?>
                            </select>
                        </td>
                    </tr>
                    
                    <tr>
                        <td colspan="4" align="right" style=" margin-top:10px">
                            <button type="submit" class="btn btn-success bt_editar">Establecer el perfil ideal comportamental comercial</button>
                        </td>
                    </tr>
                    </tbody>
                </table>
                </form>
                <?php } ?>


				<?php 
				if($dataBateria["tacticos"] == 1){ 
					if($data["pref_tacticos"] == ""){
						$activar_envio = false;
					}
				?>
                <form action="" method="post">
                <input type="hidden" name="tipo_comportamental" value="3" />
                <h5>Perfil ideal comportamental Soporte/Operativo</h5>    
                <table class="table table-bordered table-sm">
                    <thead class="thead-dark">
                    <tr>
                        <th scope="col">1</th>
                        <th scope="col">2</th>
                        <th scope="col">3</th>
                        <th scope="col">4</th>
                    </tr>
                    </thead>
                    
                    <tbody>
                    <tr>
                        <td width="25%">
                            <select class="form-control c_tacticos" name="comportamental_1" required="" onchange="Validar_Repetidos('c_tacticos',this)">
                                <option value="">Selecciona..</option>
								<?php
									foreach ($Estilos_Tacticos as &$estilo) {
										if($pref_tacticos[0][1] == $estilo[0]){ echo '<option value="'.$estilo[0].'" selected="selected">'.$estilo[1].'</option>'; }
										else{ echo '<option value="'.$estilo[0].'">'.$estilo[1].'</option>'; }
									}
								?>
                            </select>
                        </td>
                        <td width="25%">
							<select class="form-control c_tacticos" name="comportamental_2" required="" onchange="Validar_Repetidos('c_tacticos',this)">
                                <option value="">Selecciona..</option>
								<?php
									foreach ($Estilos_Tacticos as &$estilo) {
										if($pref_tacticos[1][1] == $estilo[0]){ echo '<option value="'.$estilo[0].'" selected="selected">'.$estilo[1].'</option>'; }
										else{ echo '<option value="'.$estilo[0].'">'.$estilo[1].'</option>'; }
									}
								?>
                            </select>
                        </td>
                        <td width="25%">
                            <select class="form-control c_tacticos" name="comportamental_3" required="" onchange="Validar_Repetidos('c_tacticos',this)">
                                <option value="">Selecciona..</option>
								<?php
									foreach ($Estilos_Tacticos as &$estilo) {
										if($pref_tacticos[2][1] == $estilo[0]){ echo '<option value="'.$estilo[0].'" selected="selected">'.$estilo[1].'</option>'; }
										else{ echo '<option value="'.$estilo[0].'">'.$estilo[1].'</option>'; }
									}
								?>
                            </select>
                        </td>
                        <td>
                            <select class="form-control c_tacticos" name="comportamental_4" required="" onchange="Validar_Repetidos('c_tacticos',this)">
                                <option value="">Selecciona..</option>
								<?php
									foreach ($Estilos_Tacticos as &$estilo) {
										if($pref_tacticos[3][1] == $estilo[0]){ echo '<option value="'.$estilo[0].'" selected="selected">'.$estilo[1].'</option>'; }
										else{ echo '<option value="'.$estilo[0].'">'.$estilo[1].'</option>'; }
									}
								?>
                            </select>
                        </td>
                    </tr>
                    
                    <tr>
                        <td colspan="4" align="right" style=" margin-top:10px">
                            <button type="submit" class="btn btn-success bt_editar">Establecer el perfil ideal comportamental</button>
                        </td>
                    </tr>
                
                    </tbody>
                </table>
                </form>
                <?php } ?>
                
                <?php 
				if($dataBateria["servicios"] == 1){ 
					if($data["pref_servicios"] == ""){
						$activar_envio = false;
					}
				?>
                <form action="" method="post">
                <input type="hidden" name="tipo_comportamental" value="4" />
                <h5>Perfil ideal comportamental Servicios</h5>    
                <table class="table table-bordered table-sm">
                    <thead class="thead-dark">
                    <tr>
                        <th scope="col">1</th>
                        <th scope="col">2</th>
                        <th scope="col">3</th>
                        <th scope="col">4</th>
                    </tr>
                    </thead>
                    
                    <tbody>
                    <tr>
                        <td width="25%">
                            <select class="form-control c_servicios" name="comportamental_1" required="" onchange="Validar_Repetidos('c_servicios',this)">
                                <option value="">Selecciona..</option>
								<?php
									foreach ($Estilos_Tacticos as &$estilo) {
										if($pref_servicios[0][1] == $estilo[0]){ echo '<option value="'.$estilo[0].'" selected="selected">'.$estilo[1].'</option>'; }
										else{ echo '<option value="'.$estilo[0].'">'.$estilo[1].'</option>'; }
									}
								?>
                            </select>
                        </td>
                        <td width="25%">
							<select class="form-control c_servicios" name="comportamental_2" required="" onchange="Validar_Repetidos('c_servicios',this)">
                                <option value="">Selecciona..</option>
								<?php
									foreach ($Estilos_Tacticos as &$estilo) {
										if($pref_servicios[1][1] == $estilo[0]){ echo '<option value="'.$estilo[0].'" selected="selected">'.$estilo[1].'</option>'; }
										else{ echo '<option value="'.$estilo[0].'">'.$estilo[1].'</option>'; }
									}
								?>
                            </select>
                        </td>
                        <td width="25%">
                            <select class="form-control c_servicios" name="comportamental_3" required="" onchange="Validar_Repetidos('c_servicios',this)">
                                <option value="">Selecciona..</option>
								<?php
									foreach ($Estilos_Tacticos as &$estilo) {
										if($pref_servicios[2][1] == $estilo[0]){ echo '<option value="'.$estilo[0].'" selected="selected">'.$estilo[1].'</option>'; }
										else{ echo '<option value="'.$estilo[0].'">'.$estilo[1].'</option>'; }
									}
								?>
                            </select>
                        </td>
                        <td>
                            <select class="form-control c_servicios" name="comportamental_4" required="" onchange="Validar_Repetidos('c_servicios',this)">
                                <option value="">Selecciona..</option>
								<?php
									foreach ($Estilos_Tacticos as &$estilo) {
										if($pref_servicios[3][1] == $estilo[0]){ echo '<option value="'.$estilo[0].'" selected="selected">'.$estilo[1].'</option>'; }
										else{ echo '<option value="'.$estilo[0].'">'.$estilo[1].'</option>'; }
									}
								?>
                            </select>
                        </td>
                    </tr>
                    
                    <tr>
                        <td colspan="4" align="right" style=" margin-top:10px">
                            <button type="submit" class="btn btn-success bt_editar">Establecer el perfil ideal comportamental</button>
                        </td>
                    </tr>
                
                    </tbody>
                </table>
                </form>
                <?php } ?>
                
                <?php 
				if($dataBateria["confiabilidad"] == 1){ 
					if($data["pref_confiabilidad"] == ""){
						$activar_envio = false;
					}
				?>
                <form action="" method="post">
                <input type="hidden" name="tipo_comportamental" value="5" />
                <h5>Perfil ideal comportamental Confiabilidad</h5>    
                <table class="table table-bordered table-sm">
                    <thead class="thead-dark">
                    <tr>
                        <th scope="col">1</th>
                        <th scope="col">2</th>
                        <th scope="col">3</th>
                        <th scope="col">4</th>
                    </tr>
                    </thead>
                    
                    <tbody>
                    <tr>
                        <td width="25%">
                            <select class="form-control c_tacticos" name="comportamental_1" required="" onchange="Validar_Repetidos('c_tacticos',this)">
                                <option value="">Selecciona..</option>
								<?php
									foreach ($Estilos_Tacticos as &$estilo) {
										if($pref_confiabilidad[0][1] == $estilo[0]){ echo '<option value="'.$estilo[0].'" selected="selected">'.$estilo[1].'</option>'; }
										else{ echo '<option value="'.$estilo[0].'">'.$estilo[1].'</option>'; }
									}
								?>
                            </select>
                        </td>
                        <td width="25%">
							<select class="form-control c_tacticos" name="comportamental_2" required="" onchange="Validar_Repetidos('c_tacticos',this)">
                                <option value="">Selecciona..</option>
								<?php
									foreach ($Estilos_Tacticos as &$estilo) {
										if($pref_confiabilidad[1][1] == $estilo[0]){ echo '<option value="'.$estilo[0].'" selected="selected">'.$estilo[1].'</option>'; }
										else{ echo '<option value="'.$estilo[0].'">'.$estilo[1].'</option>'; }
									}
								?>
                            </select>
                        </td>
                        <td width="25%">
                            <select class="form-control c_tacticos" name="comportamental_3" required="" onchange="Validar_Repetidos('c_tacticos',this)">
                                <option value="">Selecciona..</option>
								<?php
									foreach ($Estilos_Tacticos as &$estilo) {
										if($pref_confiabilidad[2][1] == $estilo[0]){ echo '<option value="'.$estilo[0].'" selected="selected">'.$estilo[1].'</option>'; }
										else{ echo '<option value="'.$estilo[0].'">'.$estilo[1].'</option>'; }
									}
								?>
                            </select>
                        </td>
                        <td>
                            <select class="form-control c_tacticos" name="comportamental_4" required="" onchange="Validar_Repetidos('c_tacticos',this)">
                                <option value="">Selecciona..</option>
								<?php
									foreach ($Estilos_Tacticos as &$estilo) {
										if($pref_confiabilidad[3][1] == $estilo[0]){ echo '<option value="'.$estilo[0].'" selected="selected">'.$estilo[1].'</option>'; }
										else{ echo '<option value="'.$estilo[0].'">'.$estilo[1].'</option>'; }
									}
								?>
                            </select>
                        </td>
                    </tr>
                    
                    <tr>
                        <td colspan="4" align="right" style=" margin-top:10px">
                            <button type="submit" class="btn btn-success bt_editar">Establecer el perfil ideal comportamental</button>
                        </td>
                    </tr>
                
                    </tbody>
                </table>
                </form>
                <?php } ?>

            </div>
            
            <!-- NEGOCIACION-->
			<div class="col-md-12">


				<?php 
				if($dataBateria["negociacion"] == 1){ 
					if($data["pref_negociacion"] == ""){
						$activar_envio = false;
					}
				?>
                <form action="" method="post">
                <h4 style="text-align:center">Perfil ideal Estilos de negociación</h4>    
                <table class="table table-bordered table-sm">
                    <thead class="thead-dark">
                    <tr>
                        <th scope="col">1</th>
                        <th scope="col">2</th>
                        <th scope="col">3</th>
                    </tr>
                    </thead>
                    
                    <tbody>
                    
                    <tr>
                        <td width="33%">
                            <select class="form-control c_negociacion" name="negociacion_1" required="" onchange="Validar_Repetidos('c_negociacion',this)">
                                <option value="">Selecciona..</option>
								<?php
									foreach ($Estilos_Negociacion as &$estilo) {
										if($pref_negociacion[0][1] == $estilo[0]){ echo '<option value="'.$estilo[0].'" selected="selected">'.$estilo[1].'</option>'; }
										else{ echo '<option value="'.$estilo[0].'">'.$estilo[1].'</option>'; }
									}
								?>
                            </select>
                        </td>
                        <td width="33%">
                            <select class="form-control c_negociacion" name="negociacion_2" required="" onchange="Validar_Repetidos('c_negociacion',this)">
                                <option value="">Selecciona..</option>
								<?php
									foreach ($Estilos_Negociacion as &$estilo) {
										if($pref_negociacion[1][1] == $estilo[0]){ echo '<option value="'.$estilo[0].'" selected="selected">'.$estilo[1].'</option>'; }
										else{ echo '<option value="'.$estilo[0].'">'.$estilo[1].'</option>'; }
									}
								?>
                            </select>
                        </td>
                        <td>
                            <select class="form-control c_negociacion" name="negociacion_3" required="" onchange="Validar_Repetidos('c_negociacion',this)">
                                <option value="">Selecciona..</option>
								<?php
									foreach ($Estilos_Negociacion as &$estilo) {
										if($pref_negociacion[2][1] == $estilo[0]){ echo '<option value="'.$estilo[0].'" selected="selected">'.$estilo[1].'</option>'; }
										else{ echo '<option value="'.$estilo[0].'">'.$estilo[1].'</option>'; }
									}
								?>
                            </select>
                        </td>
                    </tr>
                    
                    <tr>
                        <td colspan="3" align="right" style=" margin-top:10px">
                            <button type="submit" class="btn btn-success bt_editar">Establecer el perfil ideal motivacional</button>
                        </td>
                    </tr>
                
                    </tbody>
                </table>
                </form>
                <?php } ?>

				<?php 
				if($dataBateria["motivacional"] == 1){
					if($data["pref_motivacional"] == ""){
						$activar_envio = false;
					} 
				?>
                <form method="post" action="">
                <h5 >Perfil ideal motivacional</h5>    
                <table class="table table-bordered table-sm">
                    <thead class="thead-dark">
                    <tr>
                        <th scope="col">1</th>
                        <th scope="col">2</th>
                        <th scope="col">3</th>
                    </tr>
                    </thead>
                    
                    <tbody>
                    
                    <tr>
                        <td width="33%">
                            <select class="form-control c_motivacional" name="motivacional_1" required="" onchange="Validar_Repetidos('c_motivacional',this)">
                                <option value="">Selecciona..</option>
								<?php
									foreach ($Estilos_Motivacional as &$estilo) {
										if($pref_motivacional[0][1] == $estilo[0]){ echo '<option value="'.$estilo[0].'" selected="selected">'.$estilo[1].'</option>'; }
										else{ echo '<option value="'.$estilo[0].'">'.$estilo[1].'</option>'; }
									}
								?>
                            </select>
                        </td>
                        <td width="33%">
                            <select class="form-control c_motivacional" name="motivacional_2" required="" onchange="Validar_Repetidos('c_motivacional',this)" >
                                <option value="">Selecciona..</option>
								<?php
									foreach ($Estilos_Motivacional as &$estilo) {
										if($pref_motivacional[1][1] == $estilo[0]){ echo '<option value="'.$estilo[0].'" selected="selected">'.$estilo[1].'</option>'; }
										else{ echo '<option value="'.$estilo[0].'">'.$estilo[1].'</option>'; }
									}
								?>
                            </select>
                        </td>
                        <td>
                            <select class="form-control c_motivacional" name="motivacional_3" required="" onchange="Validar_Repetidos('c_motivacional',this)">
                                <option value="">Selecciona..</option>
								<?php
									foreach ($Estilos_Motivacional as &$estilo) {
										if($pref_motivacional[2][1] == $estilo[0]){ echo '<option value="'.$estilo[0].'" selected="selected">'.$estilo[1].'</option>'; }
										else{ echo '<option value="'.$estilo[0].'">'.$estilo[1].'</option>'; }
									}
								?>
                            </select>
                        </td>
                    </tr>
                    
                    <tr>
                        <td colspan="3" align="right" style=" margin-top:10px">
                            <button type="submit" class="btn btn-success bt_editar">Establecer el perfil ideal motivacional</button>
                        </td>
                    </tr>
                
                    </tbody>
                </table>
                </form>
                <?php } ?>
                
                
                
			</div>
        </div>
	</div>
</div>


<form action="" method="post" id="reenviar_formulario">
	<input type="hidden" name="id_invitacion" id="id_invitacion" />
    <input type="hidden" name="id_candidato" id="id_candidato" />
</form>



<div class="card" align="left" style="margin-bottom: 10px;">
	<div class="card-body">
    
		<form action="" method="post">
		<div class="row">
            
			<div class="col-md-12">
				<label class="ti_label">Candidatos invitados al proceso</label>
				<div style=" max-height:300px; overflow:auto">
                    	
                    
					<table class="table table-bordered ">
						<thead>
							<tr>
								<th scope="col">Candidato</th>
								<th scope="col">Correo</th>
                                <th scope="col">Enviada</th>
								<th scope="col" style="width:30px; text-align:center">
                                	<button type="button" class="btn btn-warning btn-sm" data-toggle="modal" data-target=".modal_candidatos">
                                    	<i class="fa fa-plus"></i>
                                    </button>
                                </th>
                                <th scope="col" style="width:30px; text-align:center">
                                </th>
							</tr>
						</thead>
						<tbody class="myTable">
						<?php
							$candidatosArray = json_decode($data["candidatos"]);
							foreach ($candidatosArray as &$candidato) {
								$queryCand = mysqli_query($connect,"SELECT * FROM Candidatos WHERE id = '".$candidato."' ");
								$dataCand = mysqli_fetch_array($queryCand);
								
								$queryInv = mysqli_query($connect,"SELECT * FROM Invitaciones WHERE id_proceso = '".$id."'
								AND id_candidato = '".$candidato."' ");
								
								$bt_eliminar = '';
								$bt_renviar = '';
								if($queryInv->num_rows > 0){ 
									$txt = '';
									$dataInv = mysqli_fetch_array($queryInv);
									if($dataInv["estado"] == 1){ 
										$bt_eliminar = '
											<button type="button" class="btn btn-danger btn-sm"  onclick="Eliminar_Inv_Candidato('.$dataInv["id"].')">
												<i class="fa fa-times"></i>
											</button>'; 
										$txt = "Sin Iniciar";
									}
									if($dataInv["estado"] == 2){ $txt = "En proceso";}
									if($dataInv["estado"] == 3){ $txt = "Terminado";}
									$estado = 'Invitación envíada - <b>'.$txt.'</b>';
									$bt_renviar = '
										<button type="button" class="btn btn-success btn-sm"  onclick="Reenviar_Correo('.$dataInv["id"].', '.$candidato.')">
												<i class="fa fa-paper-plane"></i>
										</button> 
									'; 
								}
								else{ 
									$estado = 'Pendiente';
									$bt_eliminar = '
											<button type="button" class="btn btn-secondary btn-sm"  onclick="Eliminar_Relaciona_Candidato('.$candidato.')">
												<i class="fa fa-times"></i>
											</button>'; 
								}
								
								echo '
									<tr>
										<td >
											'.$dataCand["nombre"].' '.$dataCand["apellidos"].' 
										</td>
										<td >
											'.$dataCand["correo"].' 
										</td>
										<td >
											'.$estado.' 
										</td>
										<td align="center">
											<input type="checkbox" name="candidatos[]" value="'.$dataCand["id"].'" class="checks" checked="checked"/>
										</td>
										<td align="center">
											'.$bt_renviar.'
											'.$bt_eliminar.'
										</td>
									</tr>
								';
							}
						?>
						</tbody> 
					</table>
				</div>
			</div>
            
            

                        
			<div class="col-md-12">
				<input type="hidden" name="id_proceso" value="<?php echo $id; ?>" />
                <input type="hidden" name="id_bateria" value="<?php echo $data["id_bateria"]; ?>" />

			</div>
				
    		<?php
			if($activar_envio == true){
			?>
			<div class="col-md-12" style=" margin-top:15px; text-align: right;">
                <button type="submit" class="btn btn-danger btn-block"><i class="fas fa-paper-plane"></i> Enviar Invitaciones</button>
			</div>
            <?php } else{ ?>
            <div class="col-md-12" style=" margin-top:15px;">
                <div class="alert alert-warning" role="alert">
                  Recuerde que debe establecer todos los perfiles ideales antes de enviar las invitaciones
                </div>
            </div>
            <?php } ?>
            
            <div class="col-md-12" style=" margin-top:15px; text-align: right;">
            	<?php
				if( $data["id_bateria"] != 20 && $data["pref_competencias"] != "" && ( $data["pref_gestion"] != "" || $data["pref_comercial"] != "" || $data["pref_tacticos"] != "" ) && ( $data["pref_negociacion"] != "" || $data["pref_motivacional"] != "" ) && $data["candidatos"] != "" && $data["estado"] != 2  ){
					
					$queryInvVal = mysqli_query($connect,"SELECT * FROM Invitaciones WHERE id_proceso = '".$id."' ");
					if($queryInvVal->num_rows > 0){
						
						echo '
						<div class="alert alert-warning" role="alert" align="center">
							El boton <b>Terminar Programación</b> bloqueará la opción de editar el proceso. 
						</div>
						';
						
						
						echo '<button type="button" class="btn btn-warning btn-block" onclick="Terminar_Proceso('.$id.')"><i class="fas fa-check"></i> Terminar programación </button>';
					}
				}
				
				if($data["estado"] == 2){
					echo '
					<div align="center" class="alert alert-secondary" role="alert">
					  	<b>Esta proceso ya fué cerrado, solo puedes enviar nuevas invitaciones.</b>
					</div>
					';
				}
				?>
            </div>           
		</div>
		</form>
               
	</div>
            
</div>

<?php

$queryInvPrev = mysqli_query($connect,"SELECT * FROM Invitaciones WHERE id_proceso = '".$id."' AND estado > 1  ");
if($queryInvPrev->num_rows > 0){
	echo '
		<script>
			$(".bt_editar").hide();
		</script>
	';	
}


if($data["estado"] == 2){
	echo '
		<script>
			$(".bt_editar").hide();
		</script>
	';
	
	
	
	
}

?>

<script>
var api = 'https://wandtalent.com/seleccion/admin/api/';

function Competencias_Baterias(id, bateria){
	
	id_bateria = $("#id_bateria").val();
	
	if(id_bateria == ""){id_bateria = 0;}
	
	jQuery.ajax({
		url: api+"competencias_bateria.php",
		type:'post',
		data: {id_nivel: id, id_bateria:id_bateria, url:"?pg=gestionar_baterias"},
		}).done(function (resp){
			$("#competencias_list").html(resp);
		})
		.fail(function(resp) {
			console.log(resp);
		})
		.always(function(resp){
		}
	);
}


var activar = false;
function Eliminar_Inv_Candidato(id){
	if(activar == false){
		$("#modal_body").html('Estas a punto de eliminar una invitación, esta acción es irreversible ¿Estás seguro?<br><br>');
		$("#modal_body").append('<button type="button" class="btn btn-danger" style="margin-right: 10px;" onclick="activar = true; Eliminar_Inv_Candidato('+id+')">Eliminar</button>');
		$("#modal_general").modal('show');
	}
	else{
	
		jQuery.ajax({
			url: api+"eliminar_invitacion_candidato.php",
			type:'post',
			data: {id: id, url:"?pg=detalle_proceso&id=<?php echo $id; ?>"},
			}).done(function (resp){
				$("#xscript").html(resp);
			})
			.fail(function(resp) {
				console.log(resp);
			})
			.always(function(resp){
			}
		);
		
	}
}


function Eliminar_Relaciona_Candidato(id){
	if(activar == false){
		$("#modal_body").html('Estas a punto de eliminar la relación de este candidato, esta acción es irreversible ¿Estás seguro?<br><br>');
		$("#modal_body").append('<button type="button" class="btn btn-danger" style="margin-right: 10px;" onclick="activar = true; Eliminar_Relaciona_Candidato('+id+')">Eliminar</button>');
		$("#modal_general").modal('show');
	}
	else{
	
		jQuery.ajax({
			url: api+"eliminar_relacion_candidato.php",
			type:'post',
			data: {id: id, proceso:<?php echo $id; ?> , url:"?pg=detalle_proceso&id=<?php echo $id; ?>"},
			}).done(function (resp){
				$("#xscript").html(resp);
			})
			.fail(function(resp) {
				console.log(resp);
			})
			.always(function(resp){
			}
		);
		
	}
}
var activar_terminar = false;
function Terminar_Proceso(id){
	if(activar_terminar == false){
		$("#modal_body").html('Estas a punto de terminar este proceso, es muy importante antes de esto tener en cuenta lo siguiente:<br><br>1. Configurar los perfiles ideales.<br>2. Agregar a los candidatos.<br>3. Enviar las invitaciones.<br><br>');
		$("#modal_body").append('Al terminar el proceso se inhabilitará este formulario para su edición, incluidadas las fechas y los perfiles ideales, <b>¿Estás seguro de continuar?</b><br><br>');
		$("#modal_body").append('<button type="button" class="btn btn-warning" style="margin-right: 10px;" onclick="activar_terminar = true; Terminar_Proceso('+id+')">Terminar programación</button>');
		$("#modal_general").modal('show');
	}
	else{
	
		jQuery.ajax({
			url: api+"terminar_proceso.php",
			type:'post',
			data: {id: id, url:"?pg=detalle_proceso&id=<?php echo $id; ?>"},
			}).done(function (resp){
				$("#xscript").html(resp);
			})
			.fail(function(resp) {
				console.log(resp);
			})
			.always(function(resp){
			}
		);
		
	}
}

var activar_reenvio = false;
function Reenviar_Correo(id_invitacion, id_candidato){
	if(activar_reenvio == false){
		$("#modal_body").html('Estas a punto de reenviar esta invitación <b>¿Estás seguro de continuar?</b><br><br>');
		$("#modal_body").append('<button type="button" class="btn btn-warning" style="margin-right: 10px;" onclick="activar_reenvio = true; Reenviar_Correo('+id_invitacion+', '+id_candidato+')">Reenviar Correo</button>');
		$("#modal_general").modal('show');
	}
	else{
		
		$("#id_invitacion").val(id_invitacion);
		$("#id_candidato").val(id_candidato);
		
		$( "#reenviar_formulario" ).submit();
	/*
		jQuery.ajax({
			url: api+"reenviar_correo.php",
			type:'post',
			data: {id_invitacion: id_invitacion, id_candidato:id_candidato,  url:"?pg=detalle_proceso&id=<?php echo $id; ?>"},
			}).done(function (resp){
				$("#xscript").html(resp);
			})
			.fail(function(resp) {
				console.log(resp);
			})
			.always(function(resp){
			}
		);
		
	}
	*/
	}
}


function Validar_Repetidos(clss,elem){
	
	//agregamos los valores a un nuevo array, solo diferentes de vacios
	arreglo = [];
	$( "."+clss ).each(function( index, value ) {
	  //console.log( $(value).val() );
	  if($(value).val() != ""){
	  	arreglo.push( $(value).val() );
	  }
	});

	//validamos si existe algun registro repetido
	repetido = true;
	var uniqs = arreglo.filter(function(item, index, array) {
		
		val = array.indexOf(item) === index;
		
		if(val == false){ repetido = false; }
		//return array.indexOf(item) === index;
	});

	if(repetido == false){
		alert("Recuerda que no puedes repetir un estilo, intenta nuevamente.");
		$(elem).val("");
	}
}

function MaxCompetencias(event){
	
	cantidad = 0;
	//agregamos los valores a un nuevo array, solo diferentes de vacios
	arreglo = [];
	$( ".opt_comp").each(function( index, value ) {


	  if($(value).prop('checked') == true){
	  	cantidad++;
		//console.log($(value).prop('checked') );
	  }
	  
	  if(cantidad >= 13){
		$(value).prop('checked', false);
		alert("Recuerda que no puedes seleccionar más de 12 competencias por cada proceso.");
		return false;
	  }
	  
	  
	});
	
	


/*
	//validamos si existe algun registro repetido
	repetido = true;
	var uniqs = arreglo.filter(function(item, index, array) {
		
		val = array.indexOf(item) === index;
		
		if(val == false){ repetido = false; }
		//return array.indexOf(item) === index;
	});

	if(repetido == false){
		alert("Recuerda que no puedes repetir un estilo, intenta nuevamente.");
		$(elem).val("");
	}
*/

}


</script>


